### Constructor

# Gsk TransformNode new

#### Declaration [src]

    GskRenderNode*
    gsk_transform_node_new (
      GskRenderNode* child,
      GskTransform* transform
    )

#### Description [src]

Creates a `GskRenderNode` that will transform the given `child` with the given `transform`.

#### Parameters

`child` | `GskRenderNode`
| The node to transform.
| The data is owned by the caller of the function.
`transform` | `GskTransform`
| The transform to apply.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskTransformNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.